maskat.codeLabelTeleConsumer={};

/**
 * 以下のような電文のconsumerです：
 * <param><code>1</code><label>ラベル</label></param>
 */
maskat.codeLabelTeleConsumer.consume=function(targetObj,teleNode){
    if ((targetObj==null) || !(targetObj instanceof rialto.widget.codeLabel)){
        throw new MaskatError({name: "codeLabelTeleConsumerエラー",
                         message: "targetObjはrialto.widget.codeLabelではありません",
                         fileName: "codeLabelWrapper.js",
                         functionName: "maskat.codeLabelTeleConsumer.consume"});
    }
    //電文にteleNodeは一個しかないであるはず
    var code = maskat.xpath(teleNode[0], 'code/text()');
    var theLabel = maskat.xpath(teleNode[0], 'label/text()');
    targetObj.setValue(code,theLabel);
}

ObjWrapper.registerTeleConsumer("codeLabel.codeLabel",maskat.codeLabelTeleConsumer);
